document.addEventListener('DOMContentLoaded', () => {
  const form = document.getElementById('ingredient-form');
  const ingredientsTable = document.getElementById('ingredients-table');
  const totalCostElement = document.getElementById('total-cost');
  
  let ingredients = [];
  
  form.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const name = document.getElementById('ingredient-name').value;
    const quantity = parseFloat(document.getElementById('ingredient-quantity').value);
    const cost = parseFloat(document.getElementById('ingredient-cost').value);
    
    addIngredient(name, quantity, cost);
    form.reset();
  });
  
  function addIngredient(name, quantity, cost) {
    ingredients.push({ name, quantity, cost });
    updateTable();
  }
  
  function deleteIngredient(index) {
    ingredients.splice(index, 1);
    updateTable();
  }
  
  function updateTable() {
    ingredientsTable.innerHTML = '';
    let totalCost = 0;
    
    ingredients.forEach((ingredient, index) => {
      const row = document.createElement('tr');
      const itemCost = ingredient.quantity * ingredient.cost;
      totalCost += itemCost;
      
      row.innerHTML = `
        <td>${ingredient.name}</td>
        <td>${ingredient.quantity}</td>
        <td>$${ingredient.cost.toFixed(2)}</td>
        <td>
          <button class="delete-btn" onclick="deleteIngredient(${index})">
            Delete
          </button>
        </td>
      `;
      
      ingredientsTable.appendChild(row);
    });
    
    totalCostElement.textContent = `$${totalCost.toFixed(2)}`;
  }
  
  // Make deleteIngredient function available globally
  window.deleteIngredient = deleteIngredient;
});
